#include <iostream>

using namespace std;

int main()
{
    long int n, a[101];
    double p[101];
    double maxx=0.0, tr;
    cin>>n;
    for (long int i=0; i<n; i++){
        cin >> a[i] >> p[i];
    }
    for (int i=0; i<n; i++){
        tr=0.0;
        for (int j=0; j<n; j++){
            if (p[i]<=p[j]) tr+=(1.0*a[j])*(p[i]/100.0);
        }
        if (tr>maxx) maxx=tr;
    }
    printf("%lf", maxx);
}